SpaceWire light IP core with Avalon support
===========================================

The 'spwavl' IP core implements a SpaceWire interface with an Avalon
Memory-Mapped (MM) and Streaming (ST) frontend. This facilitates a seamless
integration and support for Intel/Altera FPGA development tools. It is based on
the SpaceWire light IP core with AMBA support (spwamba) with all dependencies
on grlib removed. The resulting code is released under the same license as
SpaceWire light by Joris van Rantwijk <joris@jorisvr.nl> [1,2]. For 'spwavl.vhd'
and 'avlstspw.vhd' it is GPLv2, and for the other components it is LGPLv2,
following the licensing of the original release.

[1] https://opencores.org/projects/spacewire_light
[2] https://github.com/freecores/spacewire_light


Contents
--------

 spwavl_hw.tcl  - the component file for integration into Intel synthesis tools
 spwavl.vhd     - the main core and FSM based on 'spwamba.vhd'
 avlstspw.vhd   - Avalon-ST to SpaceWire light parallel interface

almost original with only minor enhancements

 spwrecv.vhd    - no changes
 spwram.vhd     - only subtype for word_t defined

enhanced for Intel synthesis attributes

 spwrecvfront_fast.vhd
 spwrecvfront_generic.vhd
 spwxmit_fast.vhd
 syncdff.vhd

added support for strobe/data line delay and swap

 spwlink.vhd
 spwpkg.vhd
 spwxmit.vhd


License
-------
Copyright 2009-2011 Joris van Rantwijk
Copyright 2020,2021 Maximilian Henkel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

In addition, the parts of SpaceWire Light distributed with this
package which do not depend on GRLIB may be distributed under the
terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License,
or (at your option) any later version.

You should have received a copy of the GNU General Public License
and the GNU Lesser General Public License along with this
package; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA,
or visit <http://www.gnu.org/licenses/>.

